%define version 1.1.1
%define release 0.a017.2mdk
%define src_ver 1.1.1-a017

%define prefix %{_prefix}

Summary: Japanese Input System
Summary(ja): ̾Ѵƥ
Name: FreeWnn
Version: %{version}
Release: %{release}
Source0: ftp://ftp.freewnn.org/pub/FreeWnn/alpha/FreeWnn-%{src_ver}.tar.bz2
Source1: jserver.init
Copyright: GPL
Group: System/Internationalization
URL: http://www.freewnn.org/
BuildRoot: /var/tmp/root-FreeWnn
Requires: locales-ja
Obsoletes: Wnn
Provides: Wnn

%description
Wnn is a network-extensible Kana-to-Kanji conversion system.
With it you can type in kana (or romaji) and easily convert to kanji 

%description -l ja
Wnn ϥͥåȥ̾ѴƥǤ
ΥѥåܸѴƥΤߴޤߤޤ

%package devel
Summary: development library and header file for Wnn
Group: Development/C
Requires: FreeWnn = %{version}
Obsoletes: Wnn-devel
Provides: Wnn-devel

%description devel
This package contains the header file and library for building programs
with use Wnn.

%description devel -l ja
Υѥåˤ Wnn Ѥץ򥳥ѥ뤹뤿ɬ
ʥإåեȥ饤֥ޤǤޤ

%prep
%setup -n FreeWnn-%{src_ver}

cd Xsi
# man pages are in Japanese
./configure --prefix=%{prefix} --localstatedir=/var --sysconfdir=/etc \
	--mandir=/usr/man/ja

%build
cd Xsi
make

%install
rm -rf $RPM_BUILD_ROOT
cd Xsi
make install DESTDIR=$RPM_BUILD_ROOT
( cd Wnn ; make install.man DESTDIR=$RPM_BUILD_ROOT )

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 $RPM_SOURCE_DIR/jserver.init \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/jserver

# var stuff must go to var; use a symlink
mkdir -p $RPM_BUILD_ROOT/var/lib/wnn/ja_JP/dic/usr
ln -s ../../../../../var/lib/wnn/ja_JP/dic/usr \
	$RPM_BUILD_ROOT/usr/lib/wnn/ja_JP/dic/usr

# compatibility symlink; for WNN clients compiled with the old path
mkdir -p $RPM_BUILD_ROOT/usr/local/lib
ln -s ../../lib/wnn $RPM_BUILD_ROOT/usr/local/lib/wnn

# replace symlinks by inclusions; and also replace pathnames inside man pages
( cd $RPM_BUILD_ROOT/usr/man/ja
  for i in `find man* -type f` ; do
	cp $i A
	cat A | sed 's|/usr/local|%{prefix}|g' > $i
  done
  for i in `find man* -type l` ; do
        echo ".so `dirname $i`/`ls -l $i | awk -F' -> ' '{printf $2}'`" > A
	rm $i
	cat A > $i	
  done
  rm A
)

%clean
rm -fr $RPM_BUILD_ROOT

%pre
if ! grep -q '^wnn:' /etc/group
then
        /usr/sbin/groupadd wnn
        if  ! grep -q '^wnn:' /etc/passwd
        then
                /usr/sbin/useradd -g wnn -M wnn
        fi
fi
# without this the shutting down takes forever to reach timeout
if ! grep ^jserver /etc/services ; then
	echo -e "jserver\t22273/tcp" >> /etc/services
fi

%post
/sbin/chkconfig --add jserver

cd %{prefix}/lib/wnn/ja_JP/dic/pubdic
%{prefix}/bin/Wnn4/wnntouch *.*

%postun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del jserver
fi

%files
%defattr (-,root,root,-)
%doc Xsi/COPYRIGHT* Xsi/CONTRIBUTORS Xsi/PubdicPlus/PUBDICPLUS* Xsi/olddoc 
%config %attr(755,root,root) /etc/rc.d/init.d/jserver
%defattr (-,wnn,wnn,-)
%{prefix}/lib/wnn/
%dir %{prefix}/bin/Wnn4/
%{prefix}/bin/Wnn4/atod
%{prefix}/bin/Wnn4/atof
%{prefix}/bin/Wnn4/dtoa
%attr(4711,wnn,wnn) %{prefix}/bin/Wnn4/jserver
%{prefix}/bin/Wnn4/oldatonewa
%{prefix}/bin/Wnn4/wddel
%{prefix}/bin/Wnn4/wdreg
%{prefix}/bin/Wnn4/wnnkill
%{prefix}/bin/Wnn4/wnnstat
%{prefix}/bin/Wnn4/wnntouch
%attr(644,root,root) /usr/man/ja/man[145]/*.[145]*
/var/lib/wnn/ja_JP/dic/usr

# compatibility symlink; to remove sometime in the future
/usr/local/lib/wnn

%files devel
%defattr(-,root,root)
%{prefix}/lib/libjd.a
%{prefix}/lib/libwnn.a
%{prefix}/include/wnn/
/usr/man/ja/man3/*.3*

%changelog
* Fri Apr 15 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.1.1-0.a017.2mdk
- changed %%pre section to add a 'jserver' entry to /etc/services
- improved /etc/rc.d/init.d/jserver script (it now uses wnnstatus for
  status, and displays [OK] or [FAILED] properly) 

* Wed Mar 29 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.1.1-0.a017.1mdk
- first Mandrake version
- spec file losely adapted from previous 'Wnn' package

